/****************************************************************************
 * UniPROG Universal programmer 
 * IntelHex and bynary file support
 * 
 * Daniel Quintero <danielqg@infonegocio.com>
 * IntelHex routines by Paul Stoffregen, <paul@ece.orst.edu>
 *
 * 20/05/2001 - First version
 */


char getFilenameFormat(char *filename);
int fileLoad( char *filename, unsigned char *buffer,
              unsigned long buffer_size, unsigned long *size, char format);
int fileSave( char *filename, unsigned char *buffer,
              unsigned long buffer_size, char format);

// Binary support
//---------------------------------------------------------------------------

int binSave( char *filename, unsigned char *buffer, unsigned long buffer_size);
int binLoad( char *filename, unsigned char *buffer,
             unsigned long buffer_size, unsigned long *size);


// IntelHex support by Paul Stoffregen, paul@ece.orst.edu
//---------------------------------------------------------------------------

int iHexSave( char *filename, unsigned char *buffer, unsigned long buffer_size);
int iHexLoad( char *filename, unsigned char *buffer,
              unsigned long buffer_size,  unsigned long *size);
int iHexOutDataLine( char *cad, int sizecad,
                     unsigned long addr, char *data, int size_data );
int iHexOutEndLine( char *cad, int sizecad );

